# MTSCRA Functions - 31 - 40

#### getCapMSR

This function gets the MSR capability of the device. For more information, see *D99875483* – Track ID Enable Property.

```
(NSString *) getCapMSR
```

Parameters: None Return Value:

Return MSR Capability bit masking.

<table data-header-hidden><thead><tr><th width="68.90908813476562" valign="top"></th><th width="65.27273559570312" valign="top"></th><th width="68.90911865234375" valign="top"></th><th width="68.90911865234375" valign="top"></th><th width="68" valign="top"></th><th width="72.27276611328125" valign="top"></th><th width="83.3636474609375" valign="top"></th><th width="88.72723388671875" valign="top"></th></tr></thead><tbody><tr><td valign="top">Bit 7</td><td valign="top">Bit 6</td><td valign="top">Bit 5</td><td valign="top">Bit 4</td><td valign="top">Bit 3</td><td valign="top">Bit 2</td><td valign="top">Bit 1</td><td valign="top">Bit 0</td></tr><tr><td valign="top">Id</td><td valign="top">0</td><td valign="top">T3</td><td valign="top">T3</td><td valign="top">T2</td><td valign="top">T2</td><td valign="top">T1</td><td valign="top">T1</td></tr></tbody></table>

Id &#x20;

* 0 – Decodes standard ISO/ABA cards only&#x20;
* 1 – Decodes AAMV and 7-bit cards also&#x20;

If this flag is set to 0, only tracks that conform to the ISO format allowed for that track will be decoded. If the track cannot be decoded by the ISO method it will be considered to be in error.

T#&#x20;

* 00 – Track Disabled&#x20;
* 01 – Track Enabled
* 10 – Track Enabled/Required (Error if blank)

#### getCapMagStripeEncryption <a href="#id-4.32_getcapmagstripeencryption" id="id-4.32_getcapmagstripeencryption"></a>

This function gets the device’s capability for encrypting track data.&#x20;

* (NSString \*) getCapMagStripeEncryption Parameters: None

Return Value:

* “1” = Available
* “0” = Unavailable.

#### getCapTracks <a href="#id-4.33_getcaptracks" id="id-4.33_getcaptracks"></a>

This function gets information about the device’s tracks capability.

```
(NSString *) getCapTracks
```

Parameters: None

Return Value: A hex string for the track capability. See Track ID Enable Property in *D99875475*.

#### getCardExpDate <a href="#id-4.34_getcardexpdate" id="id-4.34_getcardexpdate"></a>

This function retrieves the card expiration date after a cardholder swipes a card.

```
(NSString *) getCardExpDate
```

Parameters: None

Return Value: String containing the card expiration date

#### getCardLast4 <a href="#id-4.35_getcardlast4" id="id-4.35_getcardlast4"></a>

This function gets the last 4 digits of the card account number (PAN) after a cardholder swipes a card.

```
(NSString *) getCardLast4
```

Parameters: None

Return Value: String containing the last 4 digits of the PAN

#### getCardIIN <a href="#id-4.36_getcardiin" id="id-4.36_getcardiin"></a>

This function gets the issuer identification number (IIN) of the card number after a cardholder swipes a card.

```
(NSString *) getCardIIN
```

Parameters: None

Return Value: String containing the IIN

#### getCardName

This function gets the cardholder name after a cardholder swipes a card.

```
(NSString *) getCardName
```

Parameters: None

Return Value: String containing the cardholder name, for example, “John Wayne”.

#### getCardPANLength <a href="#id-4.38_getcardpanlength" id="id-4.38_getcardpanlength"></a>

This function gets the length of the PAN after a cardholder swipes a card.

```
(int) getCardPANLength
```

Parameters: None

Return Value: Length of card number or PAN

#### getCardServiceCode <a href="#id-4.39_getcardservicecode" id="id-4.39_getcardservicecode"></a>

This function retrieves the card’s service code after a cardholder swipes a card.

```
(NSString *) getCardServiceCode
```

Parameters: None

Return Value: String containing the card’s service code

#### getFirmware <a href="#id-4.40_getfirmware" id="id-4.40_getfirmware"></a>

This function retrieves the part number and revision of the device’s firmware.

```
(NSString *) getFirmware
```

Parameters: None

Return Value: String containing firmware part number and revision.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-ios/mtscra-functions/mtscra-functions-31-40.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
